com.sun.grid.jgdi.configuration

## Class CalendarImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.CalendarImpl

- All Implemented Interfaces:
    Calendar, GEObject, java.io.Serializable, java.lang.Cloneable

      public class CalendarImpl
      extends GEObjectImpl
      implements Calendar

  Java representation of the cull object CAL_Type defined in sge_all_listsL.template

  Warning: The CalendarImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarImpl()` Create a new instance of CalendarImpl.
    `CalendarImpl(boolean initWithDefaultValues)` Create a new instanceof
    `CalendarImpl(java.lang.String name)` Create a new instance of CalendarImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getWeekCalendar()` Get the value of the weekCalendar attribute.
    `java.lang.String` | `getYearCalendar()` Get the value of the yearCalendar attribute.
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetWeekCalendar()` Determine if the weekCalendar attribute is set
    `boolean` | `isSetYearCalendar()` Determine if the yearCalendar attribute is set
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setWeekCalendar(java.lang.String aWeekCalendar)` Set the weekCalendar attribute.
    `void` | `setYearCalendar(java.lang.String aYearCalendar)` Set the yearCalendar attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### CalendarImpl

          public CalendarImpl()

      Create a new instance of CalendarImpl. The new instance will not be initialized with the default values.

    - #### CalendarImpl

          public CalendarImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### CalendarImpl

          public CalendarImpl(java.lang.String name)

      Create a new instance of CalendarImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `Calendar`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `Calendar`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `Calendar`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetYearCalendar

          public boolean isSetYearCalendar()

      Determine if the yearCalendar attribute is set
      Specified by:
        `isSetYearCalendar` in interface `Calendar`
      Returns:
        `true` if the yearCalendar attribute is set

    - #### setYearCalendar

          public void setYearCalendar(java.lang.String aYearCalendar)

      Set the yearCalendar attribute.
      Specified by:
        `setYearCalendar` in interface `Calendar`
      Parameters:
        `aYearCalendar` - the new value for the yearCalendar attribute

    - #### getYearCalendar

          public java.lang.String getYearCalendar()

      Get the value of the yearCalendar attribute.
      Specified by:
        `getYearCalendar` in interface `Calendar`
      Returns:
        the value of the yearCalendar attribute

    - #### isSetWeekCalendar

          public boolean isSetWeekCalendar()

      Determine if the weekCalendar attribute is set
      Specified by:
        `isSetWeekCalendar` in interface `Calendar`
      Returns:
        `true` if the weekCalendar attribute is set

    - #### setWeekCalendar

          public void setWeekCalendar(java.lang.String aWeekCalendar)

      Set the weekCalendar attribute.
      Specified by:
        `setWeekCalendar` in interface `Calendar`
      Parameters:
        `aWeekCalendar` - the new value for the weekCalendar attribute

    - #### getWeekCalendar

          public java.lang.String getWeekCalendar()

      Get the value of the weekCalendar attribute.
      Specified by:
        `getWeekCalendar` in interface `Calendar`
      Returns:
        the value of the weekCalendar attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Calendar`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.